## NAME

v.lrs.label - Creates stationing from input lines, and linear reference system

## KEYWORDS

vector, LRS, networking

## SYNOPSIS

v.lrs.label
v.lrs.label help
v.lrs.label input=name output=name [llayer=integer] [rsdriver=string] [rsdatabase=string] rstable=string [labels=string] [offset=string[,string,...]] [xoffset=float] [yoffset=float] [reference=string] [font=string] [size=integer] [color=string] [width=integer] [hcolor=string] [hwidth=integer] [background=string] [border=string] [opaque=string] [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Input vector map containing lines
output=name
  Output vector map where stationing will be written
llayer=integer
  Layer number
  Line layer
  Default: 1
rsdriver=string
  Driver name for reference system table
  Default: dbf
rsdatabase=string
  Database name for reference system table
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/dbf/
rstable=string
  Name of the reference system table
labels=string
  Label file
offset=string[,string,...]
  PM left, MP right, stationing left, stationing right offset
  Default: 50,100,25,25
xoffset=float
  Offset label in label x-direction in map units
  Default: 25
yoffset=float
  Offset label in label y-direction in map units
  Default: 5
reference=string
  Reference position
  Options: center,left,right,upper,lower
  Default: center
font=string
  Font
  Default: standard
size=integer
  Label size (in map-units)
  Options: 1-1000
  Default: 100
color=string
  Text color
  Options: aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta,orange,purple,red,violet,white,yellow
  Default: black
width=integer
  Line width of text
  Only for d.label output
  Options: 1-100
  Default: 1
hcolor=string
  Highlight color for text
  Only for d.label output
  Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta,orange,purple,red,violet,white,yellow
  Default: none
hwidth=integer
  Line width of highlight color
  Only for d.label output
  Options: 0-100
  Default: 0
background=string
  Background color
  Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta,orange,purple,red,violet,white,yellow
  Default: none
border=string
  Border color
  Options: none,aqua,black,blue,brown,cyan,gray,green,grey,indigo,magenta,orange,purple,red,violet,white,yellow
  Default: none
opaque=string
  Opaque to vector
  Only relevant if background color is selected
  Options: yes,no
  Default: yes

## DESCRIPTION

v.lrs.label generates LRS labels for pretty-printing of a LRS. This example is written for the Spearfish dataset (it continues the example from v.lrs.create).

    v.lrs.label route_lrs rstable=route_lrs output=route_lrs_labels \
                labels=labels col=red size=50 xoffset=100

    g.region vect=route_lrs n=n+100 s=s-100 -p
    d.erase
    d.vect route_lrs
    d.vect route_lrs_labels col=grey type=line
    d.vect busstops disp=attr attr=cat size=10 bg=white lcol=green yref=bottom
    d.vect busstops icon=basic/circle fcol=green
    d.labels labels

## SEE ALSO

LRS tutorial,
Introducing the Linear Reference System in GRASS,
v.lrs.create, v.lrs.segment, v.lrs.where

## AUTHOR

Radim Blazek, ITC-irst/MPA Solutions
Documentation update (based on above journal article and available fragments): Markus Neteler

Last changed: $Date: 2007-06-28 17:28:50 +0200 (čt, 28 VI 2007) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team